Subject: lad I-181

From: [email-masked] (Mi Mi)
Date: Fri, 15 Jul 94 16:03:19 CDT

Date: Fri, 15 Jul 94 15:41:16 CDT
   Reply-To: [email-masked]
   Originator: [email-masked]
   Sender: [email-masked]
   Precedence: bulk
   From: Heshun Chen <[email-masked]>
   X-Listprocessor-Version: 6.0a -- ListProcessor by Anastasios Kotsikonas
   X-Comment:  Late-Arrival-DependentS-List 

   Hi:
   I called Texas ICF (Immigration Card Facility) and answer machine said
   that ICF had received my lad's copy 2 of I-181, but need approval copy,
   copy 3, and I-89.  In CSPA, as I know, approval notice is I-797. Do anyone
   know what is I-181 and is there anything I can do to help the case?

   Thank you.

No big deal: I traced Mi Mi Jr.'s card production. They just recorded some
internal routines which no outsider understands and can explain. Do not
worry about that. They are just trying to piece together everything for
your card, making themselve look busy all day long. 

You really do not care that much who is doing your dream car's tire, brake,
or transmission, do you? Just sit back and relaxe. When ICF pieces everything
together, then it takes 45 days (wow! how efficient they really are! I
thought of 45 years before!) for you to get your card.

Mi Mi